Subject: Re: [PATCH] rakudo Re: Parrot packaging problems
From: Reini Urban <[email-masked]>
To: "Patrick R. Michaud" <[email-masked]>
Cc: Michael Schroeder <[email-masked]>, [email-masked], [email-masked]
Date: Fri, 10 Apr 2009 20:05:50 +0200
List-Id: <cygwin.cygwin.com>

2009/4/10 Patrick R. Michaud <[email-masked]>:
> On Fri, Apr 10, 2009 at 11:09:19AM +0200, Reini Urban wrote:
>> leading to /usr/share/doc/rakudo-2009 and not rakudo-2009-03.
>> I might be tempted to use rakudo-200903 as package name.
>
> We can change the releases to be the 200903 form if that's
> much better.  But I personally much prefer the 2009-03 form
> ("2009-03" is an ISO standard date form, whereas "200903" isn't).

I also prefer 2009-03 and will try to work around that simple problem.
It's just the docdir anyway.

>> > One question I have though... why exactly do we need a separate
>> > installable_perl6 target?  What does the --install option to pbc_to_exe
>> > do that is different from a normal pbc_to_exe run?
>>
>> --install links to install_config.o in contrast to parrot_config.o,
>> so we use the config hash from the installed parrot, with the correct
>> library paths.
>
> For some reason that doesn't sound quite right to me.  When converting
> rakudo to an executable, the pbc2exe we use should already know
> if it's being run using an installed parrot or some other parrot
> (because pbc2exe is itself a parrot application).  So we shouldn't
> have to pass an explicit flag to it -- we should simply get the
> correct perl6 executable based on whatever pbc2exe was run.

We could check if we use /usr/bin/pbc2exe and assume automatically
--install then, yes.

>> I also get lots of spectest failures of 2009-03 with parrot-1.0.0.
>> See http://code.google.com/p/cygwin-rurban/source/browse/#svn/trunk/release/parrot/CYGWIN-PATCHES/rakudo-2009-03-1-check.log.gz
>>
>> I assume 2009-03 is targetting a newer parrot than 1.0.0,
>> which is unfortunate for a quasi perl6-1.0 release.
>
> The 2009-03 release targets parrot 1.0.0.  What you're probably
> seeing is that the spectests (which are outside of the release
> tarball) have changed since the release.  So, I guess we may want
> to (a) include a copy of the current spectests at the time of the
> release in the tarball (and change the 'make spectest' target
> to use those) or (b) change the Makefile in the release so that it
> always checks out the spectests that were in effect at the time
> of the release.

Ok, I will check out the right git tag around that date and
include the full tests in the release.

-- 
Reini Urban
http://phpwiki.org/              http://murbreak.at/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/